package com.njcn.csharmonic.offline.mincfg.vo;

/**
 装置固化信息

 */
public class pqv_dev_info_int
{
	public byte[] dev_type = new byte[64]; //装置型号，如"PQV-520A"
	public byte[] soft_app_ver = new byte[64]; //装置程序版本,格式为"版本号:日期：校验码",如"V1.00:20230606:xxxx"。
	public byte[] MAC = new byte[6]; //装置有线网口MAC地址
	public byte[] line_num = new byte[1]; //检测点数目
	public byte[] max_prj_num = new byte[1]; //最大测量工程数 默认10
	public byte[] protocol_ver = new byte[16]; //通讯协议版本号
	public byte[] by = new byte[240]; //备用信息

	public static int GetSize() //用于定义Byte数组
	{
		return 392;
	}
	public final boolean SetStructBuf(byte[] bArray, int nHaveRead)
	{
		int nByteSize = bArray.length;
		if (nByteSize < GetSize())
		{
			return false;
		}
		int iStep = nHaveRead;

		for (int i = 0; i < dev_type.length; i++)
		{
			dev_type[i] = bArray[iStep];
			iStep++;
		}
		for (int i = 0; i < soft_app_ver.length; i++)
		{
			soft_app_ver[i] = bArray[iStep];
			iStep++;
		}
		for (int i = 0; i < MAC.length; i++)
		{
			MAC[i] = bArray[iStep];
			iStep++;
		}
		for (int i = 0; i < line_num.length; i++)
		{
			line_num[i] = bArray[iStep];
			iStep++;
		}
		for (int i = 0; i < max_prj_num.length; i++)
		{
			max_prj_num[i] = bArray[iStep];
			iStep++;
		}
		for (int i = 0; i < protocol_ver.length; i++)
		{
			protocol_ver[i] = bArray[iStep];
			iStep++;
		}

		for (int i = 0; i < by.length; i++)
		{
			by[i] = bArray[iStep];
			iStep++;
		}
		return true;
	}
}